// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

class LoaderThemeExtensionImpl extends LoaderThemeExtension {
  const LoaderThemeExtensionImpl({
    super.colors,
    super.stroke,
  });

  factory LoaderThemeExtensionImpl.light({ThemeData? theme}) {
    theme ??= ThemeData.light();
    return const LoaderThemeExtensionImpl(
      colors: MultiColor([
        Color(0xFF436EF4),
        Color(0xFF3C97FB),
        Colors.transparent,
      ]),
      stroke: 15,
    );
  }

  factory LoaderThemeExtensionImpl.dark({ThemeData? theme}) {
    theme ??= ThemeData.dark();
    return const LoaderThemeExtensionImpl(
      colors: MultiColor([
        Color(0xFF3C97FB),
        Color(0xFF436EF4),
        Colors.transparent,
      ]),
      stroke: 15,
    );
  }
}
